package com.willalp.number.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 编号规则对象 hs_sys_number_rule
 *
 * @author songyu
 * @date 2021-11-24
 */

@TableName("hs_sys_number_rule")
public class HsSysNumberRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    public HsSysNumberRule() {
    }

    public HsSysNumberRule(Long ruleId) {
        this.ruleId = ruleId;
    }

    /** 规则id */
    @TableId(type = IdType.AUTO)
    private Long ruleId;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 编号第一部分规则id */
    private Long partOneId;

    /** 编号第一部分规则名称 */
    @Excel(name = "编号第一部分规则名称")
    private String partOneName;

    /** 编号第一部分长度 */
    @Excel(name = "编号第一部分长度")
    private Long partOneLength;

    /** 编号第一部分(当前值,默认值) */
    @Excel(name = "编号第一部分(当前值,默认值)")
    private String partOneValue;

    /** 编号第二部分规则id */
    private Long partTwoId;

    /** 编号第二部分规则名称 */
    @Excel(name = "编号第二部分规则名称")
    private String partTwoName;

    /** 编号第二部分长度 */
    @Excel(name = "编号第二部分长度")
    private Long partTwoLength;

    /** 编号第二部分(当前值,默认值) */
    @Excel(name = "编号第二部分(当前值,默认值)")
    private String partTwoValue;

    /** 编号第三部分规则id */
    private Long partThreeId;

    /** 编号第三部分规则名称 */
    @Excel(name = "编号第三部分规则名称")
    private String partThreeName;

    /** 编号第三部分长度 */
    @Excel(name = "编号第三部分长度")
    private Long partThreeLength;

    /** 编号第三部分(当前值,默认值) */
    @Excel(name = "编号第三部分(当前值,默认值)")
    private String partThreeValue;

    /** 机构id */
    @Excel(name = "机构id")
    private String jgid;

    /** 启用标志 0-启用 1-禁用 */
    @Excel(name = "启用标志 0-启用 1-禁用")
    private String qybz;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;


    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public void setRuleName(String ruleName)
    {
        this.ruleName = ruleName;
    }

    public String getRuleName()
    {
        return ruleName;
    }
    public void setPartOneId(Long partOneId)
    {
        this.partOneId = partOneId;
    }

    public Long getPartOneId()
    {
        return partOneId;
    }
    public void setPartOneName(String partOneName)
    {
        this.partOneName = partOneName;
    }

    public String getPartOneName()
    {
        return partOneName;
    }
    public void setPartOneLength(Long partOneLength)
    {
        this.partOneLength = partOneLength;
    }

    public Long getPartOneLength()
    {
        return partOneLength;
    }
    public void setPartOneValue(String partOneValue)
    {
        this.partOneValue = partOneValue;
    }

    public String getPartOneValue()
    {
        return partOneValue;
    }
    public void setPartTwoId(Long partTwoId)
    {
        this.partTwoId = partTwoId;
    }

    public Long getPartTwoId()
    {
        return partTwoId;
    }
    public void setPartTwoName(String partTwoName)
    {
        this.partTwoName = partTwoName;
    }

    public String getPartTwoName()
    {
        return partTwoName;
    }
    public void setPartTwoLength(Long partTwoLength)
    {
        this.partTwoLength = partTwoLength;
    }

    public Long getPartTwoLength()
    {
        return partTwoLength;
    }
    public void setPartTwoValue(String partTwoValue)
    {
        this.partTwoValue = partTwoValue;
    }

    public String getPartTwoValue()
    {
        return partTwoValue;
    }
    public void setPartThreeId(Long partThreeId)
    {
        this.partThreeId = partThreeId;
    }

    public Long getPartThreeId()
    {
        return partThreeId;
    }
    public void setPartThreeName(String partThreeName)
    {
        this.partThreeName = partThreeName;
    }

    public String getPartThreeName()
    {
        return partThreeName;
    }
    public void setPartThreeLength(Long partThreeLength)
    {
        this.partThreeLength = partThreeLength;
    }

    public Long getPartThreeLength()
    {
        return partThreeLength;
    }
    public void setPartThreeValue(String partThreeValue)
    {
        this.partThreeValue = partThreeValue;
    }

    public String getPartThreeValue()
    {
        return partThreeValue;
    }
    public void setJgid(String jgid)
    {
        this.jgid = jgid;
    }

    public String getJgid()
    {
        return jgid;
    }
    public void setQybz(String qybz)
    {
        this.qybz = qybz;
    }

    public String getQybz()
    {
        return qybz;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ruleId", getRuleId())
            .append("ruleName", getRuleName())
            .append("partOneId", getPartOneId())
            .append("partOneName", getPartOneName())
            .append("partOneLength", getPartOneLength())
            .append("partOneValue", getPartOneValue())
            .append("partTwoId", getPartTwoId())
            .append("partTwoName", getPartTwoName())
            .append("partTwoLength", getPartTwoLength())
            .append("partTwoValue", getPartTwoValue())
            .append("partThreeId", getPartThreeId())
            .append("partThreeName", getPartThreeName())
            .append("partThreeLength", getPartThreeLength())
            .append("partThreeValue", getPartThreeValue())
            .append("jgid", getJgid())
            .append("qybz", getQybz())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
